import { DescItem } from '/@/components/Description';

export const applySchema: DescItem[] = [
  {
    field: 'uuid',
    label: 'uuid',
  },
  {
    field: 'applyName',
    label: '应用名称',
  },
  {
    field: 'applyType',
    label: '应用类型',
  },
];

export const eventSchema: DescItem[] = [
  {
    field: 'eventCode',
    label: '事件编号',
  },
  {
    field: 'eventName',
    label: '事件名称',
  },
  {
    field: 'eventType',
    label: '事件类型',
  },
  {
    field: 'createdTime',
    label: '创建时间',
  },
  {
    field: 'description',
    label: '事件描述',
  },
];

export const eventLogSchema: DescItem[] = [
  // {
  //   field: 'eventName',
  //   label: '事件名称',
  // },
  {
    field: 'eventTime',
    label: '触发事件时间',
  },
  {
    field: 'userId',
    label: '触发事件用户',
  },
  {
    field: 'userOpenid',
    label: '触发事件用户小程序id',
  },
  {
    field: 'userName',
    label: '触发事件用户名',
  },
  {
    field: 'deviceId',
    label: '设备ID',
  },
  {
    field: 'deviceType',
    label: '设备类型',
  },
  {
    field: 'deviceOs',
    label: '设备操作系统',
  },
  {
    field: 'deviceOsVersion',
    label: '设备操作系统版本',
  },
  {
    field: 'deviceBrowser',
    label: '设备浏览器',
  },
  {
    field: 'deviceLanguage',
    label: '设备语言',
  },
  {
    field: 'location',
    label: '设备地理位置',
  },
  {
    field: 'applyName',
    label: '事件应用名称',
  },
  {
    field: 'applyUrl',
    label: '事件响应页地址',
  },
  {
    field: 'applyUrlUv',
    label: '响应页浏览时长',
  },
  {
    field: 'ipAddress',
    label: 'IP地址',
  },
  {
    field: 'info',
    label: '文本',
  },
];
