import { Ref } from 'vue';

/**
 * 事件参数模型
 */
export interface Events {
  id: string;
  applyId: string;
  eventName: string | undefined | Ref<any>;
  eventType: string | undefined | Ref<any>;
  eventCode: string | undefined | Ref<any>;
  description: string | undefined | Ref<any>;
  createdTime: string;
}

/**
 * 分页参数模型
 */
export interface pageParams {
  pageNum: number;
  pageSize: number;
  applyId: string;
  eventName: string;
}

/**
 * 分页数据模型
 */
export interface EventVo {
  totalRow: number;
  eventList: Events[];
}
