/**
 * 事件日志参数模型
 */
export interface EventLogVo {
  id: string;
  eventId: string;
  eventName: string;
  eventTime: string;
  userId: string;
  userOpenid: string;
  userName: string;
  deviceId: string;
  deviceType: string;
  deviceOs: string;
  deviceOsVersion: string;
  deviceBrowser: string;
  deviceLanguage: string;
  applyId: string;
  applyName: string;
  applyUrl: string;
  applyUrlPv: string;
  applyUrlUv: string;
  ipAddress: string;
  info: string;
}

/**
 * 分页参数模型
 */
export interface pageParams {
  pageNum: number;
  pageSize: number;
  applyId: string;
  eventId: string;
}

/**
 * 分页数据模型
 */
export interface EventLogPageVo {
  totalRow: number;
  eventLogList: EventLogVo[];
}
